from pathlib import Path

import pytest
from django.db import connection

from calendar_utils.models import CalendarMixin


@pytest.fixture(scope="session")
def sample():
    return (Path(__file__).parent / "sample.ics").read_text()


class DummyModel(CalendarMixin):
    class Meta:
        app_label = "__tests"


@pytest.fixture(scope="session")
def Dummy(django_db_setup, django_db_blocker):
    with django_db_blocker.unblock():
        with connection.schema_editor() as editor:
            editor.create_model(DummyModel)
    yield DummyModel
    with django_db_blocker.unblock():
        with connection.schema_editor() as editor:
            editor.delete_model(DummyModel)
